<?php
namespace menu;

class VMenu {
  
  public static function drawSubpages( $pages, $menu_id , $step = 0, $type = 0 )
  {
    $tpl = new \Savant3;
    $tpl -> _pages    = $pages;
    $tpl -> _menu_id  = $menu_id;
    $tpl -> _step     = $step;
    $tpl -> _type     = $type;
    return $tpl -> fetch( 'menu/subpages' );
  }

  public static function show( $id )
  {
    $tpl = new \Savant3;
    $tpl -> _menu = \menu\FMenu::loadMenu( $id );

    return $tpl -> fetch( 'menu/pages' );
  }
}
?>
